package com.iwunu.nbiot.lock.config;

import java.util.Arrays;
import java.util.List;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import lombok.Getter;
@Component
@Getter
public class MessageConfig {
	@Value("${message.servicetype.online}")
	private String onlineType;
	@Value("${message.servicetype.openlock}")
	private String openlockType;
	@Value("${message.servicetype.cmd}")
	private String cmdTyp;
	@Value("${message.reporttype.list}")
	private String reporttype;
	
	public List<String> reoprtTypeList(){
		return Arrays.asList(reporttype.split(","));
	}
}
